/*
Loads all data from the sheet
 pressing 1-7 turns the city visualisations on/off
 
 */


// import library
import de.bezier.data.*;

// declare variables
XlsReader reader;
PFont myFont, myBoldFont;
boolean inside = false;
int dayLength;
int upABit = 15;
String locationName = "";
int cols=8;
int rows=366;
int location=0;
int[][][] allSunSheets = new int[7][cols][rows];

int[] locations = {  1, 0, 0, 0, 0, 0, 0 };
String[] locationNames = {
  "San Francisco", "Amsterdam", "New York", "Jakarta", "Auckland", "Milan", "Invercargill"
};
int[] locationColors = {
  10, 30, 50, 70, 100, 120, 140
};
String[] monthNames = { "JAN", "FEB", "MAR", "APR", "MAY", "JUN", "JUL", "AUG", "SEP", "OCT", "NOV", "DEC"};



//int[] sun = new int[8];
int x, y, z;
int earliest = 500;
int latest = 500; 
int lastMonth = 0;
int barColor = 250;
int offset = 0; // this is the margin to the left

// setup, all the work is done here

void setup ()
{
  size(365*3+offset, 750);
  // size(100,100);
  stroke(2);
  fill( 0 );
  background( 255 );
  smooth();
  loadSheets();
  colorMode(HSB);
  myFont = createFont("HelveticaNeue-Bold", 14);
  myBoldFont = createFont("HelveticaNeue-Bold", 18, true);

  textFont(myFont);
}

void draw() {
  background(255);

  monthBars();
  hourLines();
  printSheet();
  smile();
}


void keyPressed() {
  for (int x = 0; x<locations.length; x++) {
    locations[x]=0;
  }
  if (key == '1' && locations[1]==0) locations[1] = 1;
  else if (key == '2' && locations[2]==0) locations[2] = 1;
  else if (key == '3' && locations[3]==0) locations[3] = 1;
  else if (key == '4' && locations[4]==0) locations[4] = 1;
  else if (key == '5' && locations[5]==0) locations[5] = 1;
  else if (key == '6' && locations[6]==0) locations[6] = 1;
  else if (key == '0' && locations[0]==0) locations[0] = 1;
  else locations[1]=1;
}

